Classes:
Doctrine
Doctrine_Access
Doctrine_Adapter
Doctrine_Adapter_Db2_Exception
Doctrine_Adapter_Exception
Doctrine_Adapter_Statement
Doctrine_AuditLog
Doctrine_AuditLog_Listener
Doctrine_Collection
Doctrine_Collection_Exception
Doctrine_Collection_Iterator
Doctrine_Collection_Iterator_Expandable
Doctrine_Collection_Iterator_Normal
Doctrine_Collection_Iterator_Offset
Doctrine_Collection_Offset
Doctrine_Column
Doctrine_Compiler
Doctrine_Compiler_Exception
Doctrine_Configurable
Doctrine_Connection
Doctrine_Connection_Common
Doctrine_Connection_Db2
Doctrine_Connection_Exception
Doctrine_Connection_Firebird
Doctrine_Connection_Firebird_Exception
Doctrine_Connection_Informix
Doctrine_Connection_Informix_Exception
Doctrine_Connection_Mock
Doctrine_Connection_Module
Doctrine_Connection_Mssql
Doctrine_Connection_Mssql_Exception
Doctrine_Connection_Mysql
Doctrine_Connection_Mysql_Exception
Doctrine_Connection_Oracle
Doctrine_Connection_Oracle_Exception
Doctrine_Connection_Pgsql
Doctrine_Connection_Pgsql_Exception
Doctrine_Connection_Profiler
Doctrine_Connection_Profiler_Exception
Doctrine_Connection_Sqlite
Doctrine_Connection_Sqlite_Exception
Doctrine_Connection_Statement
Doctrine_Connection_UnitOfWork
Doctrine_DataDict
Doctrine_DataDict_Exception
Doctrine_DataDict_Informix
Doctrine_DataType
Doctrine_Db
Doctrine_Event
Doctrine_EventListener
Doctrine_EventListener_Chain
Doctrine_EventListener_Exception
Doctrine_Exception
Doctrine_Export
Doctrine_Export_Exception
Doctrine_Export_Firebird
Doctrine_Export_Frontbase
Doctrine_Export_Mssql
Doctrine_Export_Mysql
Doctrine_Export_Oracle
Doctrine_Export_Pgsql
Doctrine_Export_Reporter
Doctrine_Export_Schema
Doctrine_Export_Schema_Xml
Doctrine_Export_Schema_Yml
Doctrine_Export_Sqlite
Doctrine_Expression
Doctrine_Expression_Driver
Doctrine_Expression_Exception
Doctrine_Expression_Firebird
Doctrine_Expression_Informix
Doctrine_Expression_Mock
Doctrine_Expression_Mssql
Doctrine_Expression_Mysql
Doctrine_Expression_Oracle
Doctrine_Expression_Pgsql
Doctrine_Expression_Sqlite
Doctrine_File
Doctrine_File_Index
Doctrine_Formatter
Doctrine_Hook
Doctrine_Hook_Equal
Doctrine_Hook_Integer
Doctrine_Hook_Parser
Doctrine_Hook_Parser_Complex
Doctrine_Hook_WordLike
Doctrine_Hydrate
Doctrine_Hydrate_Array
Doctrine_Hydrate_Exception
Doctrine_Hydrate_Record
Doctrine_Import
Doctrine_Import_Builder
Doctrine_Import_Builder_BaseClass
Doctrine_Import_Builder_Exception
Doctrine_Import_Exception
Doctrine_Import_Firebird
Doctrine_Import_Informix
Doctrine_Import_Mssql
Doctrine_Import_Mysql
Doctrine_Import_Oracle
Doctrine_Import_Pgsql
Doctrine_Import_Reader
Doctrine_Import_Reader_Db
Doctrine_Import_Reader_Exception
Doctrine_Import_Reader_Xml_Propel
Doctrine_Import_Schema
Doctrine_Import_Schema_Xml
Doctrine_Import_Schema_Yml
Doctrine_Import_Sqlite
Doctrine_IntegrityMapper
Doctrine_Lib
Doctrine_Locking_Exception
Doctrine_Locking_Manager_Pessimistic
Doctrine_Manager
Doctrine_Manager_Exception
Doctrine_Node
Doctrine_Node_AdjacencyList
Doctrine_Node_AdjacencyList_LevelOrderIterator
Doctrine_Node_AdjacencyList_PostOrderIterator
Doctrine_Node_AdjacencyList_PreOrderIterator
Doctrine_Node_Exception
Doctrine_Node_MaterializedPath
Doctrine_Node_MaterializedPath_LevelOrderIterator
Doctrine_Node_MaterializedPath_PostOrderIterator
Doctrine_Node_MaterializedPath_PreOrderIterator
Doctrine_Node_NestedSet
Doctrine_Node_NestedSet_LevelOrderIterator
Doctrine_Node_NestedSet_PostOrderIterator
Doctrine_Node_NestedSet_PreOrderIterator
Doctrine_Null
Doctrine_Object
Doctrine_Plugin
Doctrine_Query
Doctrine_Query_Abstract
Doctrine_Query_Check
Doctrine_Query_Condition
Doctrine_Query_Exception
Doctrine_Query_Filter
Doctrine_Query_Filter_Chain
Doctrine_Query_From
Doctrine_Query_Groupby
Doctrine_Query_Having
Doctrine_Query_JoinCondition
Doctrine_Query_Limit
Doctrine_Query_Offset
Doctrine_Query_Orderby
Doctrine_Query_Parser
Doctrine_Query_Part
Doctrine_Query_Select
Doctrine_Query_Set
Doctrine_Query_Where
Doctrine_RawSql
Doctrine_RawSql_Exception
Doctrine_Record
Doctrine_Record_Abstract
Doctrine_Record_Exception
Doctrine_Record_Filter
Doctrine_Record_Iterator
Doctrine_Record_Listener
Doctrine_Record_Listener_Chain
Doctrine_Record_State_Exception
Doctrine_Relation
Doctrine_Relation_Association
Doctrine_Relation_Association_Self
Doctrine_Relation_Exception
Doctrine_Relation_ForeignKey
Doctrine_Relation_LocalKey
Doctrine_Relation_Nest
Doctrine_Relation_Parser
Doctrine_Relation_Parser_Exception
Doctrine_Schema
Doctrine_Schema_Column
Doctrine_Schema_Database
Doctrine_Schema_Exception
Doctrine_Schema_Object
Doctrine_Schema_Relation
Doctrine_Schema_Table
Doctrine_Search
Doctrine_Search_Analyzer
Doctrine_Search_Analyzer_Exception
Doctrine_Search_Analyzer_Standard
Doctrine_Search_Exception
Doctrine_Search_Indexer
Doctrine_Search_Indexer_Dir
Doctrine_Search_Indexer_Exception
Doctrine_Search_Listener
Doctrine_Search_Parser
Doctrine_Search_Query
Doctrine_Search_Record
Doctrine_Search_Scorer
Doctrine_Search_Template
Doctrine_Sequence
Doctrine_Sequence_Db2
Doctrine_Sequence_Exception
Doctrine_Sequence_Firebird
Doctrine_Sequence_Informix
Doctrine_Sequence_Mssql
Doctrine_Sequence_Mysql
Doctrine_Sequence_Oracle
Doctrine_Sequence_Pgsql
Doctrine_Sequence_Sqlite
Doctrine_Table
Doctrine_Table_Exception
Doctrine_Table_Repository
Doctrine_Table_Repository_Exception
Doctrine_Template
Doctrine_Template_NestedSet
Doctrine_Template_Searchable
Doctrine_Template_Taggable
Doctrine_Template_Versionable
Doctrine_Tokenizer
Doctrine_Transaction
Doctrine_Transaction_Exception
Doctrine_Transaction_Firebird
Doctrine_Transaction_Informix
Doctrine_Transaction_Mock
Doctrine_Transaction_Mssql
Doctrine_Transaction_Mysql
Doctrine_Transaction_Oracle
Doctrine_Transaction_Pgsql
Doctrine_Transaction_Sqlite
Doctrine_Tree
Doctrine_Tree_AdjacencyList
Doctrine_Tree_Exception
Doctrine_Tree_MaterializedPath
Doctrine_Tree_NestedSet
Doctrine_Util
Doctrine_Validator
Doctrine_Validator_Country
Doctrine_Validator_Creditcard
Doctrine_Validator_Date
Doctrine_Validator_Email
Doctrine_Validator_Enum
Doctrine_Validator_ErrorStack
Doctrine_Validator_Exception
Doctrine_Validator_HtmlColor
Doctrine_Validator_Ip
Doctrine_Validator_Minlength
Doctrine_Validator_Nospace
Doctrine_Validator_Notblank
Doctrine_Validator_Notnull
Doctrine_Validator_Range
Doctrine_Validator_Regexp
Doctrine_Validator_Unique
Doctrine_Validator_Unsigned
Doctrine_Validator_Usstate
Doctrine_View
Doctrine_View_Exception
Doctrine_Cache
Doctrine_Cache
Doctrine_Cache_Apc
Doctrine_Cache_Array
Doctrine_Cache_Db
Doctrine_Cache_Driver
Doctrine_Cache_Exception
Doctrine_Cache_Memcache
Doctrine_Adapter
Doctrine_Adapter_Db2
Doctrine_Adapter_Mock
Doctrine_Adapter_Mysqli
Doctrine_Adapter_Oracle
Doctrine_Adapter_Statement_Mock
Doctrine_DataDict
Doctrine_DataDict_Firebird
Doctrine_DataDict_Mssql
Doctrine_DataDict_Mysql
Doctrine_DataDict_Oracle
Doctrine_DataDict_Pgsql
Doctrine_DataDict_Sqlite

# Class: Doctrine_Query_Abstract

Source Location: /Doctrine/Query/Abstract.php

## Class Doctrine_Query_Abstract

Class Overview

Doctrine_Query_Abstract Located in /Doctrine/Query/Abstract.php [line 33]
    Doctrine_Object
       |
       --Doctrine_Hydrate
          |
          --Doctrine_Query_Abstract
Author(s): Konsta Vesterinen <kvesteri@cc.hut.fi> API Tags:
Abstract: |
Information Tags:
Version: | $Revision: 1393 $
Link: | www.phpdoctrine.com
Since: | 1.0
License: | LGPL
| Methods addFrom addGroupBy addHaving addOrderBy addSelect addWhere delete distinct forUpdate from groupBy having innerJoin leftJoin limit offset orderBy parseQueryPart select set update where whereIn

[ Top ]
Direct descendents

Child Class | Description
--- | ---
Doctrine_Query | Doctrine_Query
Doctrine_RawSql | Doctrine_RawSql

[ Top ]
Inherited Properties, Constants, and Methods

Inherited Properties | Inherited Methods | Inherited Constants
--- | --- | ---
Inherited From Doctrine_Hydrate Doctrine_Hydrate::$aggregateMap Doctrine_Hydrate::$parts Doctrine_Hydrate::$pendingAggregates Doctrine_Hydrate::$type Doctrine_Hydrate::$_aliasMap Doctrine_Hydrate::$_cache Doctrine_Hydrate::$_conn Doctrine_Hydrate::$_expireCache Doctrine_Hydrate::$_hydrationMode Doctrine_Hydrate::$_options Doctrine_Hydrate::$_params Doctrine_Hydrate::$_sql Doctrine_Hydrate::$_tableAliases Doctrine_Hydrate::$_tableAliasSeeds Doctrine_Hydrate::$_timeToLive Doctrine_Hydrate::$_view Inherited From Doctrine_Object Doctrine_Object::$_null | Inherited From Doctrine_Hydrate Doctrine_Hydrate::__construct() constructor Doctrine_Hydrate::addQueryPart() addQueryPart adds a query part in the query part array Doctrine_Hydrate::addTableAlias() addTableAlias adds an alias for table and associates it with given component alias Doctrine_Hydrate::applyInheritance() applyInheritance applies column aggregation inheritance to DQL / SQL query Doctrine_Hydrate::clear() clear resets all the variables Doctrine_Hydrate::convertEnums() Doctrine_Hydrate::copyAliases() copyAliases copy aliases from another Hydrate object Doctrine_Hydrate::createSubquery() createSubquery creates a subquery Doctrine_Hydrate::execute() execute executes the query and populates the data set Doctrine_Hydrate::expireCache() expireCache Doctrine_Hydrate::fetchArray() fetchArray Convenience method to execute using array fetching as hydration mode. Doctrine_Hydrate::fetchOne() fetchOne Convenience method to execute the query and return the first item of the collection. Doctrine_Hydrate::generateNewTableAlias() generateNewTableAlias generates a new alias from given table alias Doctrine_Hydrate::generateTableAlias() generateTableAlias generates a table alias from given table name and associates it with given component alias Doctrine_Hydrate::getAliasDeclaration() getAliasDeclaration get the declaration for given component alias Doctrine_Hydrate::getAliasMap() getAliasMap returns the component alias map Doctrine_Hydrate::getCachedForm() getCachedForm returns the cached form of this query for given resultSet Doctrine_Hydrate::getCacheDriver() getCacheDriver returns the cache driver associated with this object Doctrine_Hydrate::getComponentAlias() getComponentAlias get component alias associated with given table alias Doctrine_Hydrate::getConnection() getConnection Doctrine_Hydrate::getParams() getParams Doctrine_Hydrate::getQueryPart() setQueryPart sets a query part in the query part array Doctrine_Hydrate::getRoot() getRoot returns the root component for this object Doctrine_Hydrate::getRootAlias() getRootAlias returns the alias of the the root component Doctrine_Hydrate::getRootDeclaration() getRootDeclaration returns the root declaration Doctrine_Hydrate::getSql() getSql return the sql associated with this object Doctrine_Hydrate::getTableAlias() getTableAlias some database such as Oracle need the identifier lengths to be < ~30 chars hence Doctrine creates as short identifier aliases as possible Doctrine_Hydrate::getTableAliases() getTableAliases returns all table aliases Doctrine_Hydrate::getTableAliasSeed() getTableAliasSeed returns the alias seed for given table alias Doctrine_Hydrate::getType() getType Doctrine_Hydrate::getView() getView returns the view associated with this query object (if any) Doctrine_Hydrate::hasAliasDeclaration() hasAliasDeclaration whether or not this object has a declaration for given component alias Doctrine_Hydrate::hasTableAlias() hasTableAlias whether or not this object has given tableAlias Doctrine_Hydrate::isLimitSubqueryUsed() limitSubqueryUsed whether or not limit subquery was used Doctrine_Hydrate::parseData2() parseData parses the data returned by statement object Doctrine_Hydrate::removeQueryPart() removeQueryPart removes a query part from the query part array Doctrine_Hydrate::serialize() serialize this method is automatically called when this Doctrine_Hydrate is serialized Doctrine_Hydrate::setAliasMap() setAliasMap sets the whole component alias map Doctrine_Hydrate::setCacheLifeSpan() setCacheLifeSpan Doctrine_Hydrate::setHydrationMode() Sets the fetchmode. Doctrine_Hydrate::setParams() setParams Doctrine_Hydrate::setQueryPart() setQueryPart sets a query part in the query part array Doctrine_Hydrate::setView() setView sets a database view this query object uses this method should only be called internally by doctrine Doctrine_Hydrate::unserialize() unseralize this method is automatically called everytime a Doctrine_Hydrate object is unserialized Doctrine_Hydrate::useCache() useCache Doctrine_Hydrate::_execute() Doctrine_Hydrate::_setLastElement() _setLastElement Doctrine_Hydrate::__toString() Inherited From Doctrine_Object Doctrine_Object::getNullObject() getNullObject returns the null object associated with this object Doctrine_Object::initNullObject() initNullObject initializes the null object | Inherited From Doctrine_Hydrate Doctrine_Hydrate::CREATE Doctrine_Hydrate::DELETE Doctrine_Hydrate::HYDRATE_ARRAY Doctrine_Hydrate::HYDRATE_RECORD Doctrine_Hydrate::INSERT Doctrine_Hydrate::SELECT Doctrine_Hydrate::UPDATE

[ Top ]
Method Summary

Doctrine_Query | addFrom() | addFrom adds fields to the FROM part of the query
Doctrine_Query | addGroupBy() | addGroupBy adds fields to the GROUP BY part of the query
Doctrine_Query | addHaving() | addHaving adds conditions to the HAVING part of the query
Doctrine_Query | addOrderBy() | addOrderBy adds fields to the ORDER BY part of the query
Doctrine_Query | addSelect() | addSelect adds fields to the SELECT part of the query
Doctrine_Query | addWhere() | addWhere adds conditions to the WHERE part of the query
Doctrine_Query | delete() | delete sets the query type to DELETE
Doctrine_Query | distinct() | distinct Makes the query SELECT DISTINCT.
Doctrine_Query | forUpdate() | forUpdate Makes the query SELECT FOR UPDATE.
Doctrine_Query | from() | from sets the FROM part of the query
Doctrine_Query | groupBy() | groupBy sets the GROUP BY part of the query
Doctrine_Query | having() | having sets the HAVING part of the query
Doctrine_Query | innerJoin() | innerJoin appends an INNER JOIN to the FROM part of the query
Doctrine_Query | leftJoin() | leftJoin appends a LEFT JOIN to the FROM part of the query
Doctrine_Query | limit() | limit sets the Query query limit
Doctrine_Query | offset() | offset sets the Query query offset
Doctrine_Query | orderBy() | orderBy sets the ORDER BY part of the query
Doctrine_Query | parseQueryPart() | parseQueryPart parses given DQL query part
Doctrine_Query | select() | select sets the SELECT part of the query
Doctrine_Query | set() | set sets the SET part of the query
Doctrine_Query | update() | update sets the UPDATE part of the query
Doctrine_Query | where() | where sets the WHERE part of the query
Doctrine_Query | whereIn() | whereIn adds IN condition to the query WHERE part

[ Top ]
Properties
Methods
addFrom [line 53]

`Doctrine_Query addFrom( string $from )`

addFrom adds fields to the FROM part of the query

Parameters:

string | $from: | Query FROM part

API Tags:

Access: | public

[ Top ]
addGroupBy [line 109]

`Doctrine_Query addGroupBy( string $groupby )`

addGroupBy adds fields to the GROUP BY part of the query

Parameters:

string | $groupby: | Query GROUP BY part

API Tags:

Access: | public

[ Top ]
addHaving [line 121]

`Doctrine_Query addHaving( string $having, [mixed $params = array()] )`

addHaving adds conditions to the HAVING part of the query

Parameters:

string | $having: | Query HAVING part
mixed | $params: | an array of parameters or a simple scalar

API Tags:

Access: | public

[ Top ]
addOrderBy [line 137]

`Doctrine_Query addOrderBy( string $orderby )`

addOrderBy adds fields to the ORDER BY part of the query

Parameters:

string | $orderby: | Query ORDER BY part

API Tags:

Access: | public

[ Top ]
addSelect [line 42]

`Doctrine_Query addSelect( string $select )`

addSelect adds fields to the SELECT part of the query

Parameters:

string | $select: | Query SELECT part

API Tags:

Access: | public

[ Top ]
addWhere [line 65]

`Doctrine_Query addWhere( string $where, [mixed $params = array()] )`

addWhere adds conditions to the WHERE part of the query

Parameters:

string | $where: | Query WHERE part
mixed | $params: | an array of parameters or a simple scalar

API Tags:

Access: | public

[ Top ]
delete [line 185]

`Doctrine_Query delete( )`

delete sets the query type to DELETE

API Tags:

Access: | public

[ Top ]
distinct [line 159]

`Doctrine_Query distinct( [bool $flag = true] )`

distinct Makes the query SELECT DISTINCT.

Parameters:

bool | $flag: | Whether or not the SELECT is DISTINCT (default true).

API Tags:

Access: | public

[ Top ]
forUpdate [line 173]

`Doctrine_Query forUpdate( [bool $flag = true] )`

forUpdate Makes the query SELECT FOR UPDATE.

Parameters:

bool | $flag: | Whether or not the SELECT is FOR UPDATE (default true).

API Tags:

Access: | public

[ Top ]
from [line 235]

`Doctrine_Query from( string $from )`

from sets the FROM part of the query

Parameters:

string | $from: | Query FROM part

API Tags:

Access: | public

[ Top ]
groupBy [line 268]

`Doctrine_Query groupBy( string $groupby )`

groupBy sets the GROUP BY part of the query

Parameters:

string | $groupby: | Query GROUP BY part

API Tags:

Access: | public

[ Top ]
having [line 299]

`Doctrine_Query having( string $having, [mixed $params = array()] )`

having sets the HAVING part of the query

Parameters:

string | $having: | Query HAVING part
mixed | $params: | an array of parameters or a simple scalar

API Tags:

Access: | public

[ Top ]
innerJoin [line 246]

`Doctrine_Query innerJoin( string $join )`

innerJoin appends an INNER JOIN to the FROM part of the query

Parameters:

string | $join: | Query INNER JOIN

API Tags:

Access: | public

[ Top ]
leftJoin [line 257]

`Doctrine_Query leftJoin( string $join )`

leftJoin appends a LEFT JOIN to the FROM part of the query

Parameters:

string | $join: | Query LEFT JOIN

API Tags:

Access: | public

[ Top ]
limit [line 328]

`Doctrine_Query limit( integer $limit )`

limit sets the Query query limit

Parameters:

integer | $limit: | limit to be used for limiting the query results

API Tags:

Access: | public

[ Top ]
offset [line 339]

`Doctrine_Query offset( integer $offset )`

offset sets the Query query offset

Parameters:

integer | $offset: | offset to be used for paginating the query

API Tags:

Access: | public

[ Top ]
orderBy [line 317]

`Doctrine_Query orderBy( string $orderby )`

orderBy sets the ORDER BY part of the query

Parameters:

string | $orderby: | Query ORDER BY part

API Tags:

Access: | public

[ Top ]
parseQueryPart [line 355]

`Doctrine_Query parseQueryPart( string $queryPartName, string $queryPart, [boolean $append = false] )`

parseQueryPart parses given DQL query part

Parameters:

string | $queryPartName: | the name of the query part
string | $queryPart: | query part to be parsed
boolean | $append: | whether or not to append the query part to its stack if false is given, this method will overwrite the given query part stack with $queryPart

API Tags:

Return: | this object
Abstract: |
Access: | public

Redefined in descendants as:

- Doctrine_Query::parseQueryPart() : parseQueryPart parses given DQL query part
- Doctrine_RawSql::parseQueryPart() : parseQueryPart parses given query part

[ Top ]
select [line 148]

`Doctrine_Query select( string $select )`

select sets the SELECT part of the query

Parameters:

string | $select: | Query SELECT part

API Tags:

Access: | public

[ Top ]
set [line 211]

`Doctrine_Query set( $key, $value, [ $params = null], string $update )`

set sets the SET part of the query

Parameters:

string | $update: | Query UPDATE part
| $key: |
| $value: |
| $params: |

API Tags:

Access: | public

[ Top ]
update [line 198]

`Doctrine_Query update( string $update )`

update sets the UPDATE part of the query

Parameters:

string | $update: | Query UPDATE part

API Tags:

Access: | public

[ Top ]
where [line 280]

`Doctrine_Query where( $where, [mixed $params = array()], string $join )`

where sets the WHERE part of the query

Parameters:

string | $join: | Query WHERE part
mixed | $params: | an array of parameters or a simple scalar
| $where: |

API Tags:

Access: | public

[ Top ]
whereIn [line 82]

`Doctrine_Query whereIn( string $expr, [mixed $params = array()] )`

whereIn adds IN condition to the query WHERE part

Parameters:

string | $expr: |
mixed | $params: | an array of parameters or a simple scalar

API Tags:

Access: | public

[ Top ]